vtk-dicom (0.8.17-3build1) stonking; urgency=medium

  * Rebuild against new libvtk9.6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Aug 2026 14:43:48 +0200

vtk-dicom (0.8.17-3) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Fix FTBFS with VTK 9.6. Closes: #1140906.

  [ Santiago Vila ]
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Fri, 17 Jul 2026 18:45:00 +0200

vtk-dicom (0.8.17-2) unstable; urgency=medium

  * Team upload.
  * d/patches: Fix bug in parsing multi-value SpecificCharacterSet

 -- Mathieu Malaterre <malat@debian.org>  Wed, 29 Oct 2025 14:41:17 +0100

vtk-dicom (0.8.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1091516, #1063195
  * Finally fix name of the module
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Do not parse d/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Use secure URI in Homepage field.
  * Rely on pre-initialized dpkg-architecture variables.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * watch file standard 4 (routine-update)
  * Make sure dh_missing --fail-missing works
  * Update lintian-overrides
  * d/copyright: review

 -- Andreas Tille <tille@debian.org>  Sat, 15 Feb 2025 17:13:30 +0100

vtk-dicom (0.8.14-3.2~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 05 Feb 2024 16:46:05 +0000

vtk-dicom (0.8.14-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/control: Use ${python3:Depends} (Closes: #1029178)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Jan 2023 22:41:32 +0100

vtk-dicom (0.8.14-3) unstable; urgency=medium

  * Team upload.
  * d/t/python: Really fix name of the module

 -- Mathieu Malaterre <malat@debian.org>  Tue, 17 Jan 2023 14:58:40 +0100

vtk-dicom (0.8.14-2) unstable; urgency=medium

  * Team upload.
  * d/t/python: Fix name of the module

 -- Mathieu Malaterre <malat@debian.org>  Fri, 13 Jan 2023 09:33:12 +0100

vtk-dicom (0.8.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.14
  * d/patches: Refresh patches for new upstream
  * d/control: Add fake dependency to libvtk9-qt-dev

 -- Mathieu Malaterre <malat@debian.org>  Tue, 10 Jan 2023 08:05:26 +0100

vtk-dicom (0.8.13-2) unstable; urgency=medium

  * Team upload.
  * d/patches: Refresh patches
  * d/control: Bump Std-Vers to 4.6.2 no changes needed
  * d/control: Remove unneeded dependency

 -- Mathieu Malaterre <malat@debian.org>  Thu, 05 Jan 2023 11:45:48 +0100

vtk-dicom (0.8.13-1) experimental; urgency=medium

  * New upstream version 0.8.13
  * d/control: Switch to vtk9. Closes: #1013154
  * d/control: Run wrap-and-sort
  * d/*.install: Adapt to latest release change
  * d/control: Bump Std-Vers to 4.6.1 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Mon, 27 Jun 2022 15:57:43 +0200

vtk-dicom (0.8.12-4) unstable; urgency=medium

  * Team upload.
  * Trigger autodep8 autopkgtest-pkg-python test explicitly, to enable CI, per
    discussion on unblock request #989006

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 26 May 2021 16:50:42 +0200

vtk-dicom (0.8.12-3) unstable; urgency=medium

  * Team upload.
  * d/{python3-vtk-dicom,not-installed}: do not install libvtkDICOMPython*.so
    Closes: #988643

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 22 May 2021 15:08:12 +0200

vtk-dicom (0.8.12-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest.  Thanks for the patch to Étienne Mollier.
    Closes: #988745

 -- Andreas Tille <tille@debian.org>  Wed, 19 May 2021 15:30:05 +0200

vtk-dicom (0.8.12-1) unstable; urgency=medium

  * New upstream version 0.8.12

 -- Gert Wollny <gewo@debian.org>  Sun, 22 Dec 2019 14:42:19 +0100

vtk-dicom (0.8.11-3) unstable; urgency=medium

  * d/control: Update build-dep to libgdcm-dev

 -- Gert Wollny <gewo@debian.org>  Wed, 13 Nov 2019 18:04:00 +0100

vtk-dicom (0.8.11-2) unstable; urgency=medium

  * d/control: Update dp to libgdcm-dev
  * d/control: Update dp to libgdcm-dev

 -- Gert Wollny <gewo@debian.org>  Wed, 13 Nov 2019 18:03:47 +0100

vtk-dicom (0.8.11-1) unstable; urgency=medium

  * New upstream version 0.8.11
  * d/rules: Explicitely don't build TCL bindings
  * d/python3..: Fix library installs

 -- Gert Wollny <gewo@debian.org>  Fri, 01 Nov 2019 17:20:13 +0100

vtk-dicom (0.8.10-1) unstable; urgency=medium

  * New upstream version 0.8.10
  * d/.gitlab-ci.yml: Add CI script

 -- Gert Wollny <gewo@debian.org>  Sun, 04 Aug 2019 08:37:40 +0200

vtk-dicom (0.8.9-1) unstable; urgency=medium

  * Team upload.
  * Normalise Vcs-Browser
  * debhelper 12
  * Standards-Version: 4.3.0
  * cme fix dpkg-control
  * Drop ancient X-Python3-Version field
  * Drop unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 16:37:14 +0100

vtk-dicom (0.8.8-1) unstable; urgency=medium

  * New upstream version 0.8.8
  * d/control: remove dependency on python << 3.7, Closes: #913452
  * d/control: Depend only on default python3-dev package, Closes: #912906
  * d/control,python3-vtk-dicom: use dh_exec for python install target path,
    Closes: #905419

 -- Gert Wollny <gewo@debian.org>  Sat, 01 Dec 2018 17:27:31 +0100

vtk-dicom (0.8.7-2) unstable; urgency=medium

  * d/control: Add break/replace lib package, Closes: #901214

 -- Gert Wollny <gewo@debian.org>  Sat, 10 Nov 2018 13:56:45 +0100

vtk-dicom (0.8.7-1) unstable; urgency=medium

  * d/*.install: move cmake files into -dev package, Closes: #901214
  * d/control: Update standards to 4.2.1, no changes
  * d/p: SQL lib patches
  * d/source/control: remove custom compression options
  * Upload to unstable

 -- Gert Wollny <gewo@debian.org>  Tue, 30 Oct 2018 16:46:09 +0100

vtk-dicom (0.8.7-1~exp1) experimental; urgency=medium

  [ Mathieu Malaterre ]
  * Remove self from Uploaders

  [ Gert Wollny ]
  * New upstream version 0.8.7
  * d/control: Prepare vor version 0.8 based on vtk7
  * d/control, d/compat: update to dephelper 11
  * d/control: Update my uploader address
  * d/control: Update VCS url
  * d/* update packages for v0.8 and python3
  * d/p/03: run test with python3
  * d/rules: Update python version
  * d/copyright: Add copyright for some new files

 -- Gert Wollny <gewo@debian.org>  Sat, 19 May 2018 11:47:10 +0200

vtk-dicom (0.7.10-1) unstable; urgency=medium

  * New upstream version 0.7.10

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 01 Oct 2016 21:01:42 +0200

vtk-dicom (0.7.8-1) unstable; urgency=medium

  * Imported Upstream version 0.7.8
  * d/p/01 update patch
  * d/control: Add -Wl,-z,now
  * d/control: correct git URL to secure version

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 31 May 2016 13:44:03 +0000

vtk-dicom (0.7.7-2) unstable; urgency=medium

  * d/p/repro...patch: Change date used to use non-locale month

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 23 May 2016 12:08:25 +0000

vtk-dicom (0.7.7-1) unstable; urgency=medium

  * New upstream version
  * Update standards version to 3.9.8

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 05 May 2016 16:20:17 +0000

vtk-dicom (0.7.6-1) unstable; urgency=medium

  * New upstream version

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 31 Mar 2016 21:38:35 +0000

vtk-dicom (0.7.4-2) unstable; urgency=medium

  * [7273f4] d/control: Set minimum libvtk6-dev version
    (needed for tests)

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 20 Feb 2016 00:15:02 +0000

vtk-dicom (0.7.4-1) unstable; urgency=medium

  * New upstream release
  * d/control: Add libvtk6-qt-dev to dependencies
  * d/control: Update Standards version to 3.9.7
  * d/control: Add xauth and xvfb to depends as they are needed for the
    TCL test
  * d/p/: Add patch reproducable_build_datetime.patch to fix time
    stamps in vtkDICOMBuild.h
  * d/libvtk-dicom-dev.install, d/libvtkdicom0.7.install:
    Correct install path of cmake files to become arch dependnd
    Closes: #813305

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 19 Feb 2016 14:09:31 +0000

vtk-dicom (0.7.1-1) unstable; urgency=medium

  * New upstream version
  * build by using vtk6 Closes: #803595
  * Disable java bindings since these would require vtk java bindings
  * Add patch 01_ to properly link required vtkIO*SQL libraries
  * Move package to git
  * Update standards version to 3.9.6
  * Add python-vtk-dicom.lintian-override for package name  doesn't
    match soname
  * Override the VTK_VERSION_SUFFIX to avoid that the library changes
    its name based on VTK minor version change.
  * Add dh-python to build-deps as recommended

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 03 Dec 2015 10:33:36 +0100

vtk-dicom (0.5.5-2) unstable; urgency=low

  * Do not link explicitly to libpython. Closes: #762102
  * Do not clutter jar file with java source code. Closes: #762112

 -- Mathieu Malaterre <malat@debian.org>  Wed, 24 Sep 2014 14:17:38 +0200

vtk-dicom (0.5.5-1) unstable; urgency=low

  * New upstream
    - add missing man pages (dicomfind/dicomtodicom)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 28 Aug 2014 13:24:50 +0200

vtk-dicom (0.5.3-1) unstable; urgency=low

  * New upstream. Closes: #755011

 -- Mathieu Malaterre <malat@debian.org>  Tue, 29 Jul 2014 14:07:06 +0200

vtk-dicom (0.5.2-1) unstable; urgency=low

  * New upstream
  * Remove patches applied upstream
    - debian/patches/underlink.patch
    - debian/patches/current.patch

 -- Mathieu Malaterre <malat@debian.org>  Tue, 15 Jul 2014 16:52:31 +0200

vtk-dicom (0.5.0-2) unstable; urgency=low

  * Add missing Conflicts/Replaces. Closes: #753467
  * Add Multi-Arch: same when missing
  * Remove local patches, applied upstream. Import from upstream.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 04 Jul 2014 10:45:41 +0200

vtk-dicom (0.5.0-1) unstable; urgency=low

  * New upstream
  * Remove DCMTK option. Closes: #751222
  * Build Python and Java bindings. Closes: #752097

 -- Mathieu Malaterre <malat@debian.org>  Mon, 30 Jun 2014 12:38:00 +0200

vtk-dicom (0.4.5-1) unstable; urgency=low

  * New upstream. Remove patch applied upstream.
  * Really fix man page generation
  * Allow easier backport to wheezy
  * Remove lintian errors/warnings

 -- Mathieu Malaterre <malat@debian.org>  Fri, 25 Apr 2014 17:52:06 +0200

vtk-dicom (0.4.4-2) unstable; urgency=low

  * Add patch to allow backport to wheezy
  * Change to DebianMed uploaders
  * Properly set minimum vtk version
  * Use xz compression
  * Fix man pages generation

 -- Mathieu Malaterre <malat@debian.org>  Mon, 07 Apr 2014 11:55:21 +0200

vtk-dicom (0.4.4-1) unstable; urgency=low

  * New upstream.
    - remove patch applied upstream: d/p/missingstuff.patch
  * Upload to sid not that ABI is stable.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 04 Apr 2014 17:19:25 +0200

vtk-dicom (0.4.3-1) experimental; urgency=low

  * Initial release. (Closes: #742217)

 -- Mathieu Malaterre <malat@debian.org>  Mon, 24 Mar 2014 12:01:00 +0100
